clang-tools 10.0.0

Namespaces | Functions | Variables
FuzzyMatch.cpp File Reference
`#include "FuzzyMatch.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/Support/Format.h"`
Include dependency graph for FuzzyMatch.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
static char | clang::clangd::lower (char C)
static bool | clang::clangd::isAwful (int S)
template<typename T >
static T | clang::clangd::packedLookup (const uint8_t *Data, int I)
CharTypeSet | clang::clangd::calculateRoles (llvm::StringRef Text, llvm::MutableArrayRef< CharRole > Roles)

## Variables
static constexpr int | clang::clangd::AwfulScore = -(1 << 13)
static constexpr int | clang::clangd::PerfectBonus = 4
static constexpr uint8_t | clang::clangd::CharTypes []
static constexpr uint8_t | clang::clangd::CharRoles []